package com.xintong.visualinspection.dao.master;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.CheckAppeal;
import com.xintong.visualinspection.bean.CheckOther;

/**
 * 文件名：CheckOtherDao
 * 版本信息：日期：2017/8/11 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface CheckOtherDao  {

	/**添加稽查记录
	 * @param checkOther
	 */
	void insert(CheckOther checkOther);

	/**根据条件查询稽查记录
	 * @param checkOther
	 * @return
	 */
	List<CheckOther> getCheckByDeptId(CheckOther checkOther);

	/**根据id删除稽查记录
	 * @param id
	 */
	void delete(Long id);

	/**根据id获取稽查记录
	 * @param id
	 */
	CheckOther getCheckById(Long id);

	/**根据id修改稽查记录
	 * @param id
	 */
	void update(CheckOther checkOther);

    List<String> getcheckitemnames(Long id);


    
}
